#define SELDONDATA_DEBUG_CHECK_INDICES
#define SELDONDATA_DEBUG_CHECK_IO
#define SELDONDATA_DEBUG_CHECK_DIMENSIONS
#define SELDONDATA_DEBUG_CHECK_MEMORY

#include "SeldonData.hxx"
using namespace SeldonData;

int main()
{

  TRY;

  RegularGrid<double> G(2);
  G.SetDuplicate(false);

  Data<double, 1> D1(G), D2(G);

  G(0) = 1.0; G(1) = 2.5;
  D1[0].Print();

  G(0) = 4.0; D1[0](1) = 5.0;
  D2[0].Print();

  END;

  return 0;

}
